#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hOpenPGP
version:              2.9.7
visibility:           public
id:                   hOpenPGP-2.9.7-7AMRwIGvjgEIHCujTzabiT
key:                  hOpenPGP-2.9.7-7AMRwIGvjgEIHCujTzabiT
license:              MIT
copyright:            2012-2021  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  7d5f582978f858de864d29be6f1568b3
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Cryptonite
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hOpenPGP-2.9.7
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hOpenPGP-2.9.7
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hopenpgp
hs-libraries:         HShOpenPGP-2.9.7-7AMRwIGvjgEIHCujTzabiT
depends:
    aeson-1.5.6.0-D6JFXMoVVY440Mpm8YlAiW
    asn1-encoding-0.9.6-6cjhoR0CZwq1tOydmOZHt2
    attoparsec-0.14.4-5IzIDbgcbv25MsrsjK5Xz5 base-4.15.1.0
    base16-bytestring-1.0.2.0-1csYxhEsYs5IL7o3RWgSzs
    bifunctors-5.5.12-Hy1oZJeTnXeJoksCZE7fWb binary-0.8.8.0
    binary-conduit-1.3.1-6JbqOtnNceZBhE4vXRDF9r bytestring-0.10.12.1
    bz2-1.0.1.0-K2JDE9l70VQLDbbYoAT8ul
    conduit-1.3.4.2-9I6SWmQfQ5n2ocDACiIrO5
    conduit-extra-1.3.6-DuILuwxME1g865fBTWQZMP containers-0.6.4.1
    crypto-cipher-types-0.0.9-Eb32mKWiXi08hJgQY526gG
    cryptonite-0.30-CCCnX4XiRrvh8pFYNdeV4
    errors-2.3.0-AMf4swi6TfI2g0Jb1DBx7t
    hashable-1.4.0.2-BtUN60XU2rZ3DwXWIBThsB
    incremental-parser-0.5.0.3-IqSjsI2xJa43mUUqvBmhFr
    ixset-typed-0.5.1.0-EAGAqPoP2BsAzSemqmK40D
    lens-5.1.1-8E4VVgbuyZB1VAyRQnC4Kb
    memory-0.17.0-CJJwCTl3QuwCxlJovCa0Bf
    monad-loops-0.4.3-C4VZ1LczQKA9hVl8DS9fX
    nettle-0.3.0-2cnZ9iKtm0MDdR0VmkRbCB
    network-uri-2.6.4.1-y8FoVZgjIQ3c5KlrbV6Id
    openpgp-asciiarmor-0.1.2-IWjZ5t1Mi2s9dtejUk2knH
    prettyprinter-1.7.1-EuQvQlcQMFw3XsrBZtFNf
    resourcet-1.2.5-3RawzU30J2N1PmCdN1TN1S
    split-0.2.3.4-CpE3y0VsurE33GeHAzv7ZU text-1.2.5.0 time-1.9.3
    time-locale-compat-0.1.1.5-1snbmhWP0619voIlJd9qOd
    transformers-0.5.6.2 unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.19.1-7SQ4DJN6rki64sevxnHKhZ
    zlib-0.6.3.0-HBMjmgy4xvFB3H36uJiFmB

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

